# set - Irssi 1.1 documentation

Skip to content
Hide navigation sidebar
Hide table of contents sidebar
Back to top
Page source
Toggle table of contents sidebar

Important

You are reading the help for Irssi 1.1. The current release version is Neırssi 1.3.

# set

## Syntax

    SET [-clear | -default] [<key> [<value>]]

## Parameters

`-clear`: | Removes the setting’s value from the configuration.
`-default`: | Restore the setting to its default value.

The setting and the value; if no value is given, the list of settings that matched will be returned. If no arguments are given, all the settings will be displayed.

## Description

Modifies the value of a setting; boolean settings accept only ON, OFF and TOGGLE.

Please remember that you need to use the SAVE command to store the changes into your configuration.

## Examples

    /SET
    /SET nick mike
    /SET -clear nick
    /SET log_timestamp %H:%H:%S
    /SET -default log_timestamp
    /SET close

## See also

SAVE, TOGGLE